ApiHostInstallArguments (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHostInstallArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHostInstallArguments

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHostInstallArguments
      extends Object

  Arguments to perform installation on one or more hosts

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHostInstallArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHostInstallArguments` | `addAgentReportedHostnamesItem(ApiMapEntry agentReportedHostnamesItem)`
    `ApiHostInstallArguments` | `addHostNamesItem(String hostNamesItem)`
    `ApiHostInstallArguments` | `addSubjectAltNamesItem(String subjectAltNamesItem)`
    `ApiHostInstallArguments` | `agentReportedHostnames(List<ApiMapEntry> agentReportedHostnames)`
    `ApiHostInstallArguments` | `cmRepoUrl(String cmRepoUrl)`
    `boolean` | `equals(Object o)`
    `List<ApiMapEntry>` | `getAgentReportedHostnames()` Optional.
    `String` | `getCmRepoUrl()` The Cloudera Manager repository URL to use (optional).
    `String` | `getGpgKeyCustomUrl()` The Cloudera Manager public GPG key (optional).
    `String` | `getGpgKeyOverrideBundle()` The Cloudera Manager public GPG key (optional).
    `List<String>` | `getHostNames()` List of hosts to configure for use with Cloudera Manager.
    `String` | `getJavaInstallStrategy()` Added in v8: Strategy to use for JDK installation.
    `BigDecimal` | `getParallelInstallCount()` Number of simultaneous installations.
    `String` | `getPassphrase()` The passphrase associated with the private key used to authenticate with the hosts (optional).
    `String` | `getPassword()` The password used to authenticate with the hosts.
    `String` | `getPrivateKey()` The private key to authenticate with the hosts.
    `BigDecimal` | `getSshPort()` SSH port.
    `List<String>` | `getSubjectAltNames()`
    `Boolean` | `getUnlimitedJCE()` Added in v8: Flag for unlimited strength JCE policy files installation If unset, defaults to false <br> Deprecated in CM 7.0.2: Flag for unlimited strength JCE policy files installation will be set to False.
    `String` | `getUserName()` The username used to authenticate with the hosts.
    `ApiHostInstallArguments` | `gpgKeyCustomUrl(String gpgKeyCustomUrl)`
    `ApiHostInstallArguments` | `gpgKeyOverrideBundle(String gpgKeyOverrideBundle)`
    `int` | `hashCode()`
    `ApiHostInstallArguments` | `hostNames(List<String> hostNames)`
    `ApiHostInstallArguments` | `javaInstallStrategy(String javaInstallStrategy)`
    `ApiHostInstallArguments` | `parallelInstallCount(BigDecimal parallelInstallCount)`
    `ApiHostInstallArguments` | `passphrase(String passphrase)`
    `ApiHostInstallArguments` | `password(String password)`
    `ApiHostInstallArguments` | `privateKey(String privateKey)`
    `void` | `setAgentReportedHostnames(List<ApiMapEntry> agentReportedHostnames)`
    `void` | `setCmRepoUrl(String cmRepoUrl)`
    `void` | `setGpgKeyCustomUrl(String gpgKeyCustomUrl)`
    `void` | `setGpgKeyOverrideBundle(String gpgKeyOverrideBundle)`
    `void` | `setHostNames(List<String> hostNames)`
    `void` | `setJavaInstallStrategy(String javaInstallStrategy)`
    `void` | `setParallelInstallCount(BigDecimal parallelInstallCount)`
    `void` | `setPassphrase(String passphrase)`
    `void` | `setPassword(String password)`
    `void` | `setPrivateKey(String privateKey)`
    `void` | `setSshPort(BigDecimal sshPort)`
    `void` | `setSubjectAltNames(List<String> subjectAltNames)`
    `void` | `setUnlimitedJCE(Boolean unlimitedJCE)`
    `void` | `setUserName(String userName)`
    `ApiHostInstallArguments` | `sshPort(BigDecimal sshPort)`
    `ApiHostInstallArguments` | `subjectAltNames(List<String> subjectAltNames)`
    `String` | `toString()`
    `ApiHostInstallArguments` | `unlimitedJCE(Boolean unlimitedJCE)`
    `ApiHostInstallArguments` | `userName(String userName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHostInstallArguments

          public ApiHostInstallArguments()

  - ### Method Detail

    - #### hostNames

          public ApiHostInstallArguments hostNames(List<String> hostNames)

    - #### addHostNamesItem

          public ApiHostInstallArguments addHostNamesItem(String hostNamesItem)

    - #### getHostNames

          public List<String> getHostNames()

      List of hosts to configure for use with Cloudera Manager. A host may be specified by a hostname (FQDN) or an IP address.
      Returns:
        hostNames

    - #### setHostNames

          public void setHostNames(List<String> hostNames)

    - #### sshPort

          public ApiHostInstallArguments sshPort(BigDecimal sshPort)

    - #### getSshPort

          public BigDecimal getSshPort()

      SSH port. If unset, defaults to 22.
      Returns:
        sshPort

    - #### setSshPort

          public void setSshPort(BigDecimal sshPort)

    - #### userName

          public ApiHostInstallArguments userName(String userName)

    - #### getUserName

          public String getUserName()

      The username used to authenticate with the hosts. Root access to your hosts is required to install Cloudera packages. The installer will connect to your hosts via SSH and log in either directly as root or as another user with password-less sudo privileges to become root.
      Returns:
        userName

    - #### setUserName

          public void setUserName(String userName)

    - #### password

          public ApiHostInstallArguments password(String password)

    - #### getPassword

          public String getPassword()

      The password used to authenticate with the hosts. Specify either this or a private key. For password-less login, use an empty string as password.
      Returns:
        password

    - #### setPassword

          public void setPassword(String password)

    - #### privateKey

          public ApiHostInstallArguments privateKey(String privateKey)

    - #### getPrivateKey

          public String getPrivateKey()

      The private key to authenticate with the hosts. Specify either this or a password. <br> The private key, if specified, needs to be a standard PEM-encoded key as a single string, with all line breaks replaced with the line-feed control character '\\n'. <br> A value will typically look like the following string: <br> -----BEGIN RSA PRIVATE KEY-----\\n[base-64 encoded key]\\n-----END RSA PRIVATE KEY----- <br>
      Returns:
        privateKey

    - #### setPrivateKey

          public void setPrivateKey(String privateKey)

    - #### passphrase

          public ApiHostInstallArguments passphrase(String passphrase)

    - #### getPassphrase

          public String getPassphrase()

      The passphrase associated with the private key used to authenticate with the hosts (optional).
      Returns:
        passphrase

    - #### setPassphrase

          public void setPassphrase(String passphrase)

    - #### parallelInstallCount

          public ApiHostInstallArguments parallelInstallCount(BigDecimal parallelInstallCount)

    - #### getParallelInstallCount

          public BigDecimal getParallelInstallCount()

      Number of simultaneous installations. Defaults to 10. Running a large number of installations at once can consume large amounts of network bandwidth and other system resources.
      Returns:
        parallelInstallCount

    - #### setParallelInstallCount

          public void setParallelInstallCount(BigDecimal parallelInstallCount)

    - #### cmRepoUrl

          public ApiHostInstallArguments cmRepoUrl(String cmRepoUrl)

    - #### getCmRepoUrl

          public String getCmRepoUrl()

      The Cloudera Manager repository URL to use (optional). Example for SLES, Redhat or Debian based distributions: https://archive.cloudera.com/cm6/6.0.0
      Returns:
        cmRepoUrl

    - #### setCmRepoUrl

          public void setCmRepoUrl(String cmRepoUrl)

    - #### gpgKeyCustomUrl

          public ApiHostInstallArguments gpgKeyCustomUrl(String gpgKeyCustomUrl)

    - #### getGpgKeyCustomUrl

          public String getGpgKeyCustomUrl()

      The Cloudera Manager public GPG key (optional). Example for SLES, Redhat or other RPM based distributions: https://archive.cloudera.com/cm5/redhat/5/x86_64/cm/RPM-GPG-KEY-cloudera Example for Ubuntu or other Debian based distributions: https://archive.cloudera.com/cm5/ubuntu/lucid/amd64/cm/archive.key
      Returns:
        gpgKeyCustomUrl

    - #### setGpgKeyCustomUrl

          public void setGpgKeyCustomUrl(String gpgKeyCustomUrl)

    - #### javaInstallStrategy

          public ApiHostInstallArguments javaInstallStrategy(String javaInstallStrategy)

    - #### getJavaInstallStrategy

          public String getJavaInstallStrategy()

      Added in v8: Strategy to use for JDK installation. Valid values are <br> 1. AUTO: Cloudera Manager will install the JDK versions that are required when the \"AUTO\" option is selected. This package will be downloaded from Cloudera repository. This operation may overwrite any of the existing JDK installations. <br> 2. NONE(default): Cloudera Manager will not install any JDK when \"NONE\" option is selected. It should be used if an existing JDK installation can be used. NOTE: Selecting the \"NONE\" option makes it the customer's responsibility to ensure that the unlimited strength JCE policy files are installed and enabled on each host, as appropriate for the version of Java in use. <br> 3. OS_PROVIDED_JDK: Option added in v40, Cloudera Manager will install OpenJDK packages provided by the [non-cloudera] Operating System repositories configured on each host. This operation may overwrite any of the existing JDK installations.
      Returns:
        javaInstallStrategy

    - #### setJavaInstallStrategy

          public void setJavaInstallStrategy(String javaInstallStrategy)

    - #### unlimitedJCE

          public ApiHostInstallArguments unlimitedJCE(Boolean unlimitedJCE)

    - #### getUnlimitedJCE

          public Boolean getUnlimitedJCE()

      Added in v8: Flag for unlimited strength JCE policy files installation If unset, defaults to false <br> Deprecated in CM 7.0.2: Flag for unlimited strength JCE policy files installation will be set to False. NOTE: With OpenJDK11 (and OpenJDK8 u232), JCE is installed and enabled by default.
      Returns:
        unlimitedJCE

    - #### setUnlimitedJCE

          public void setUnlimitedJCE(Boolean unlimitedJCE)

    - #### gpgKeyOverrideBundle

          public ApiHostInstallArguments gpgKeyOverrideBundle(String gpgKeyOverrideBundle)

    - #### getGpgKeyOverrideBundle

          public String getGpgKeyOverrideBundle()

      The Cloudera Manager public GPG key (optional). This points to the actual bundle contents and not a URL.
      Returns:
        gpgKeyOverrideBundle

    - #### setGpgKeyOverrideBundle

          public void setGpgKeyOverrideBundle(String gpgKeyOverrideBundle)

    - #### agentReportedHostnames

          public ApiHostInstallArguments agentReportedHostnames(List<ApiMapEntry> agentReportedHostnames)

    - #### addAgentReportedHostnamesItem

          public ApiHostInstallArguments addAgentReportedHostnamesItem(ApiMapEntry agentReportedHostnamesItem)

    - #### getAgentReportedHostnames

          public List<ApiMapEntry> getAgentReportedHostnames()

      Optional. A map from hostname to reported_hostname value to be set in the agent configuration file.
      Returns:
        agentReportedHostnames

    - #### setAgentReportedHostnames

          public void setAgentReportedHostnames(List<ApiMapEntry> agentReportedHostnames)

    - #### subjectAltNames

          public ApiHostInstallArguments subjectAltNames(List<String> subjectAltNames)

    - #### addSubjectAltNamesItem

          public ApiHostInstallArguments addSubjectAltNamesItem(String subjectAltNamesItem)

    - #### getSubjectAltNames

          public List<String> getSubjectAltNames()

      Returns:
        subjectAltNames

    - #### setSubjectAltNames

          public void setSubjectAltNames(List<String> subjectAltNames)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.